Package opennlp.tools.util.featuregen

# Class CharacterNgramFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.CharacterNgramFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class CharacterNgramFeatureGenerator extends Object implements AdaptiveFeatureGenerator
The `CharacterNgramFeatureGenerator` uses character ngrams to generate features about each token.

See Also:
  - `AdaptiveFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterNgramFeatureGenerator()`
  Initializes a `CharacterNgramFeatureGenerator` with default values for ngrams.
  `CharacterNgramFeatureGenerator(int minLength, int maxLength)`
  Initializes a `CharacterNgramFeatureGenerator` with the specified parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] preds)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### CharacterNgramFeatureGenerator

    public CharacterNgramFeatureGenerator(int minLength, int maxLength)
    Initializes a `CharacterNgramFeatureGenerator` with the specified parameters.
    Parameters:
      `minLength` - The minimum length to use. Must not be negative.
      `maxLength` - The maximum length to use. Must not be negative.

  - ### CharacterNgramFeatureGenerator

    public CharacterNgramFeatureGenerator()
    Initializes a `CharacterNgramFeatureGenerator` with default values for ngrams. The minimal length is set to `2` and maximum length to a value of `5`.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] preds)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `preds` - The outcomes for the tokens prior to the specified index.